#!/usr/bin/env python

import pathlib

import scraping
import util.logger


def main():
    project_name = pathlib.Path(__file__).stem
    logger = util.logger.get_logger(project_name)

    scraping.run(['wikipedia_xhr'])


if __name__ == '__main__':
    main()
