#!/usr/bin/env python

import jsonpath_ng


def jsonpath_find(data, pattern):
    try:
        results = jsonpath_ng.parse(pattern).find(data)
    except (KeyError, TypeError):
        pass
    else:
        if results:
            return results[0].value


def normalize_space(s):
    return ' '.join(s.split())
